<?php
/**
 * 2008-2016 Chronopostfood SAS
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to chronopostfood@adexos.fr so we can send you a copy immediately.
 *
 * @author    Adexos for Chronopostfood <chronopostfood@adexos.fr>
 * @copyright 2008-2016 Chronopostfood SAS
 * @license   http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 */

header('Content-type: text/plain');
include('../../../config/config.inc.php');

define('_TRACKING_URL', 'https://www.chronopost.fr/tracking-cxf/TrackingServiceWS/trackSkybill?language=fr_FR&skybillNumber=%s');

/* No more than one update per hour */
if (time() - (int)Configuration::get('CHRONOFOOD_TRACKING_LAST_UPDATE') < 3600) die('NO UPDATE');

/* Orders in state "shipping", for our carriers, with a tracking number */
$orders = Db::getInstance()->ExecuteS('SELECT oc.id_order, oc.tracking_number FROM '._DB_PREFIX_.'order_carrier oc LEFT JOIN '
	._DB_PREFIX_.'orders o ON o.id_order=oc.id_order WHERE oc.id_carrier IN ('
	.(int)Configuration::get('CHRONOFOOD_CARRIER_ID') . ')
	AND oc.tracking_number!=""  
	AND o.current_state='._PS_OS_SHIPPING_);

foreach ($orders as $order)
{
	$fp = fopen(sprintf(_TRACKING_URL, $order['tracking_number']), 'r');
	$xml = stream_get_contents($fp);
	fclose($fp);

	$xml = new SimpleXMLElement($xml);

	/* Registering needed namespaces. See http://stackoverflow.com/questions/10322464/ */
	$xml->registerXPathNamespace('soap', 'http://schemas.xmlsoap.org/soap/envelope/');
	$xml->registerXPathNamespace('ns1', 'http://cxf.tracking.soap.chronopost.fr/');

	/* XPathing on namespaced XMLs can't be relative */
	foreach ($xml->xpath('//soap:Body/ns1:trackSkybillResponse/return/listEvents/events/code') as $event)
	{
		if (trim((string)$event) == 'D' || trim((string)$event) == 'D1' || trim((string)$event) == 'D2') /* code for a "delivery" event. */
		{
			$history = new OrderHistory();
			$history->id_order = (int)$order['id_order'];
			$history->changeIdOrderState(_PS_OS_DELIVERED_, (int)$order['id_order']);
			$history->save();
		}
	}
}

Configuration::updateValue('CHRONOFOOD_TRACKING_LAST_UPDATE', time());
